<?php
sapp_include_once('common.php');

// Check for https support

?>

<script type="text/javascript">
<!--

	function install_prefix_cH(f)
	{
		if (!f.install_dir.value){
			f.install_prefix.value = "<?php echo htmlspecialchars(sapp_get_install_prefix())?>";
		} else
			f.install_prefix.value = f.install_dir.value;

	}

        function update_ssl_section(f, ssl_docroot_available, non_ssl_docroot_available)
        {
            var ssl_off = document.createElement('option');
            var ssl_on = document.createElement('option');

            ssl_off.text = '<?php echo msg('ssl_off');?>';
            ssl_off.value = 'false';

            ssl_on.text = '<?php echo msg('ssl_on');?>';
            ssl_on.value = 'true';

            var ssl_select = f.ssl;

            try {
                if(f.ssl.options.length == 1 && f.ssl.options[0].value != 'false'){
                    var elem_Old = f.ssl.options[0];  
                    ssl_select.add(ssl_off, elem_Old); // standards compliant; doesn't work in IE
                }
                if(f.ssl.options.length == 1 && f.ssl.options[0].value != 'true'){
                    ssl_select.add(ssl_on, null); // standards compliant; doesn't work in IE
                }
            }
            catch(ex) {
                if(f.ssl.options.length == 1 && f.ssl.options[0].value != 'false'){
                    ssl_select.add(ssl_off, 0); // IE only
                }
                if(f.ssl.options.length == 1 && f.ssl.options[0].value != 'true'){
                    ssl_select.add(ssl_on); // IE only
                }
            }

            if (f.install_type[0].checked){
                if(!ssl_docroot_available && f.ssl.options[1].text == 'https'){
                    f.ssl.remove(1);
                }
                if(!non_ssl_docroot_available && f.ssl.options[0].text == 'http'){
                    f.ssl.remove(0);
                }
            }
            var selected_index = f.ssl.selectedIndex;	    
            if(f.ssl.options.length == 2){
                f.ssl.options[0].selected = true;
                f.ssl.options[selected_index].selected = true;
            }
            else{
                f.ssl.options[0].selected = true;
            }
        }

	function install_prefix_oC(f, ssl_docroot_available, non_ssl_docroot_available)
	{

                if( "<?php echo htmlspecialchars(sapp_is_ssl_avaible())?>" ){ 
                    update_ssl_section(f, ssl_docroot_available, non_ssl_docroot_available); 
                } 
		if (f.install_type[0].checked){
			f.install_prefix.value = ".";
			f.install_dir.disabled = true;
		}

		if (f.install_type[1].checked) {
			f.install_prefix.value = f.install_dir.value
			if ((f.install_prefix.value == ".") || (!f.install_prefix.value))
				f.install_prefix.value = "<?php echo htmlspecialchars(sapp_get_install_prefix())?>";
			f.install_dir.disabled = false;
			f.install_dir.value = f.install_prefix.value;
			f.install_dir.focus();
			f.install_dir.select();
		}
		
		if (f.install_dir.value == "."){
			f.install_dir.value = "";
		}
	}
-->
</script>
  
 
<?php
$g_ssl_available = true;
?>  
  
<?php
$g_document_root_available = true;
?>  
  
<?php
function get_ssl_document_root_available($global_docroot_available, $global_ssl_available)
{
    if (function_exists('sapp_check_install_prefix') && $global_docroot_available){
        $ssl_check = sapp_check_install_prefix(SITEAPP_PREFIX_ROOT, true);
        if (in_array($ssl_check, array(SITEAPP_DIR_NOT_EXISTS, SITEAPP_DIR_USED_BY_UNKNOWN)) && $global_ssl_available){
            return 1;
        }
    }
    return 0;
}

function get_non_ssl_document_root_available($global_docroot_available, $global_ssl_available)
{
    if (function_exists('sapp_check_install_prefix') && $global_docroot_available){
        $non_ssl_check = sapp_check_install_prefix(SITEAPP_PREFIX_ROOT, false);
        if (in_array($non_ssl_check, array(SITEAPP_DIR_NOT_EXISTS, SITEAPP_DIR_USED_BY_UNKNOWN))){
            return 1;
        }
    }
    return 0;
}

function get_document_root_available($global_docroot_available, $global_ssl_available)
{
    return ($global_docroot_available&(get_non_ssl_document_root_available($global_docroot_available, $global_ssl_available) | get_ssl_document_root_available($global_docroot_available, $global_ssl_available)));
}

function get_in_document_root($global_docroot_available)
{
    return ($global_docroot_available && (sapp_get_install_prefix() == ".")) ? true : false;
}

$ssl_available = $g_ssl_available;
$ssl_docroot_available = get_ssl_document_root_available($g_document_root_available, $g_ssl_available);
$non_ssl_docroot_available = get_non_ssl_document_root_available($g_document_root_available, $g_ssl_available);
$document_root_available = get_document_root_available($g_document_root_available, $g_ssl_available);
$in_document_root = get_in_document_root($g_document_root_available);

?>        
 
  
  
<fieldset>
    <legend><?php echo msg('installation_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">
    <!-- Https support section -->

<?php if (sapp_is_ssl_avaible()): ?>

    <tr <?php echo sapp_is_wrong('ssl') ? 'class="error"' : ''?>>
        <td class="name"><?php echo msg('ssl')?>&nbsp;<?php echo REQ?></td>
            <td>
                <SELECT name="ssl" <?php echo (!($ssl_available))?"disabled":''?>>
                    <OPTION value="false" <?php echo sapp_get_param('ssl')=='http' ? 'SELECTED':''?>><?php echo msg('ssl_off');?></OPTION>
                    <OPTION value="true"  <?php echo sapp_get_param('ssl')=='https' ? 'SELECTED':''?>><?php echo msg('ssl_on');?></OPTION>
                </SELECT>
                <span class="hint"><?php echo sapp_is_wrong('ssl') ? sapp_get_wrong('ssl') : ''?></span>
            </td>
    </tr>

<?php endif; ?>

    <!-- End of https support section -->

    <tr <?php echo ((!$document_root_available || $in_document_root) && sapp_is_wrong('install_prefix')) ? 'class="error"' : ''?>>
        <td class="name"><label for="fid-install_prefix"><?php echo msg('install_prefix')?> <?php echo REQ?></label></td>
        <?php if ($document_root_available): ?>
        <td>
            <input type="radio" name="install_type" id="fid-install_type_std" value="." onclick="install_prefix_oC(this.form, <?php echo htmlspecialchars($ssl_docroot_available)?>, <?php echo htmlspecialchars($non_ssl_docroot_available)?>);" <?php echo $in_document_root ? 'checked' : '' ?>> <label for="fid-install_type_std"><?php echo msg('prefix_document_root');?></label>
            <span class="hint"><?php echo ($in_document_root && sapp_is_wrong('install_prefix')) ? sapp_get_wrong('install_prefix') : ''?></span>
        </td>
    </tr>
    <tr <?php echo (!$in_document_root && sapp_is_wrong('install_prefix')) ? 'class="error"' : ''?>>
        <td><td>
            <input type="radio" name="install_type" id="fid-install_type_other" onclick="install_prefix_oC(this.form, <?php echo htmlspecialchars($ssl_docroot_available)?>, <?php echo htmlspecialchars($non_ssl_docroot_available)?>);" <?php echo !$in_document_root ? 'checked' : '' ?>> <label for="fid-install_type_other"><?php echo msg('prefix_other');?></label>
<?php else: ?>
        <td>
<?php endif; ?>
            <input type="text" name="install_dir" id="fid-install_dir" value="<?php echo  $in_document_root ? "" : htmlspecialchars(sapp_get_install_prefix())?>" onchange="install_prefix_cH(this.form);" <?php echo ($in_document_root)?"disabled":''?>>
            <input type="hidden" name="install_prefix" id="fid-install_prefix" value="<?php echo htmlspecialchars(sapp_get_install_prefix())?>">
            <span class="hint"><?php echo (!$in_document_root && sapp_is_wrong('install_prefix')) ? sapp_get_wrong('install_prefix') : ''?></span>
        </td>
    </tr>
</table>

</fieldset>
  

<fieldset>
	<legend><?php echo msg('preferences')?></legend>

<TABLE class="formFields" width="100%" cellspacing="0">


<!-- Admin login section -->
<tr>
	<td class="name"><label for="fid-gtchat_admin_login"><?php echo msg('gtchat_admin_login')?>&nbsp;</label></td>
	<td><INPUT type="text" name="gtchat_admin_login" size="35" value="admin" disabled>
        </td>
</tr>

<!-- Admin password section -->
<TR <?php echo sapp_is_wrong('gtchat_admin_passwd') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_admin_passwd"><?php echo msg('gtchat_admin_passwd')?> <?php echo REQ?></label></TD>
	<TD>
		<INPUT type="password" name="gtchat_admin_passwd" size="35" value="<?php echo htmlspecialchars(sapp_get_param('gtchat_admin_passwd'))?>">
		<span class="hint"><?php echo sapp_is_wrong('gtchat_admin_passwd') ? sapp_get_wrong('gtchat_admin_passwd') : ''?></span>
	</TD>
</TR>
<!-- End of admin password section -->

<!-- Admin password confirmation section -->
<TR <?php echo sapp_is_wrong('gtchat_admin_confirm') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_admin_confirm"><?php echo msg('gtchat_admin_confirm')?> <?php echo REQ?></label></TD>
	<TD>
		<INPUT type="password" name="gtchat_admin_confirm" size="35" value="<?php echo htmlspecialchars(sapp_get_param('gtchat_admin_confirm'))?>">
		<span class="hint"><?php echo sapp_is_wrong('gtchat_admin_confirm') ? sapp_get_wrong('gtchat_admin_confirm') : ''?></span>
	</TD>
</TR>
<!-- End of admin password confirmation section -->

<!-- Admin email section -->
<TR <?php echo sapp_is_wrong('gtchat_admin_email') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_admin_email"><?php echo msg('gtchat_admin_email')?> <?php echo REQ?></label></TD>
	<TD>
		<INPUT type="text" name="gtchat_admin_email" size="35" value="<?php echo htmlspecialchars(sapp_get_param('gtchat_admin_email'))?>">
		<span class="hint"><?php echo sapp_is_wrong('gtchat_admin_email') ? sapp_get_wrong('gtchat_admin_email') : ''?></span>
	</TD>
</TR>
<!-- End of admin email section -->

<!-- Language selection section -->
<TR <?php echo sapp_is_wrong('gtchat_language') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_language"><?php echo msg('gtchat_language')?> <?php echo REQ?></label></TD>
	<TD>
		<SELECT name="gtchat_language"><?php
			foreach (get_lang() AS $lang_key => $lang_name)
				echo '<OPTION value="' . $lang_key . '" ' . (sapp_get_param('gtchat_language') == $lang_key ? 'SELECTED' : '') . '>' . $lang_name . '</OPTION>';
		?></SELECT>
		<span class="hint"><?php echo sapp_is_wrong('gtchat_language') ? sapp_get_wrong('gtchat_language') : ''?></span>
	</TD>
</TR>
<!-- End of language selection section -->

<!-- Colorscheme selection section -->
<TR <?php echo sapp_is_wrong('gtchat_colorscheme') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_colorscheme"><?php echo msg('gtchat_colorscheme')?> <?php echo REQ?></label></TD>
	<TD>
		<SELECT name="gtchat_colorscheme"><?php
			foreach (get_color() AS $color_key => $color_name)
				echo '<OPTION value="' . $color_key . '" ' . (sapp_get_param('gtchat_colorscheme') == $color_key ? 'SELECTED' : '') . '>' . $color_name . '</OPTION>';
		?></SELECT>
		<span class="hint"><?php echo sapp_is_wrong('gtchat_colorscheme') ? sapp_get_wrong('gtchat_colorscheme') : ''?></span>
	</TD>
</TR>
<!-- End of colorscheme selection section -->

<!-- Welcome message selection -->
<TR <?php echo sapp_is_wrong('gtchat_welcome_message') ? 'class="error"' : ''?>>
	<TD class="name"><label for="fid-gtchat_welcome_message"><?php echo msg('gtchat_welcome_message')?></label></TD>
	<TD>
		<INPUT type="text" name="gtchat_welcome_message" size="35" value="<?php echo htmlspecialchars(sapp_get_param('gtchat_welcome_message'))?>">
		<span class="hint"><?php echo sapp_is_wrong('gtchat_welcome_message') ? sapp_get_wrong('gtchat_welcome_message') : ''?></span>
	</TD>
</TR>
<!-- End of welcome message selection -->

</TABLE>

</fieldset>
